AddWindow=class(Turbine.UI.Lotro.Window)

function AddWindow:Constructor()
	x=Turbine.UI.Display:GetWidth()/2-100;
	y=Turbine.UI.Display:GetHeight()/2-100;
	Turbine.UI.Lotro.Window.Constructor(self);
	self.addMode = "trigger";
	self:SetSize(300,120);
	self:SetPosition(x,y);
	self:SetZOrder(500);

	self.input = Turbine.UI.Lotro.TextBox();
	self.input:SetParent(self);
	self.input:SetPosition(30, 50);
	self.input:SetSize(240, 20);
	self.input:SetFont(Turbine.UI.Lotro.Font.Verdana14);
	self.input:SetMultiline(false);	
	self.input:SetVisible(true);

	-- add button
	self.addBtn = Turbine.UI.Lotro.Button();
	self.addBtn:SetParent(self);
	self.addBtn:SetPosition(65, 80);
	self.addBtn:SetSize(80, 20);
	self.addBtn:SetText("add");
	self.addBtn:SetVisible( true );

	self.addBtn.MouseClick = function(sender, args)
		if(self.input:GetText() == "") then
			
		else
			if self.addMode  == "blacklist" then
				AddToBlacklist(self.input:GetText());
				DoCallbacks(self, "NewBlacklistItemAdded");
			end
			if self.addMode  == "trigger" then
				AddTrigger(self.input:GetText());
				DoCallbacks(self, "NewTriggerAdded");
			end
			SaveSettings();
			self:SetVisible(false); 
		end
	end
	
	-- cancel button
	self.cancelBtn = Turbine.UI.Lotro.Button();
	self.cancelBtn:SetParent(self);
	self.cancelBtn:SetPosition(145, 80);
	self.cancelBtn:SetSize(80, 20);
	self.cancelBtn:SetText("cancel");
	self.cancelBtn:SetVisible( true );

	self.cancelBtn.MouseClick = function(sender, args)
		self:Cancel();
	end
end

function AddWindow:StartAddProcess(mode)
	self.addMode  = mode;
	self:SetText("Add Trigger"); 
	if self.addMode  == "blacklist" then
		self:SetText("Add to Blacklist"); 
	end
	self.input:SetText("");
	self:SetVisible(true); 
end

function AddWindow:Cancel()
	self:SetVisible(false); 
end
